package de.hft.stuttgart.citydoctor2.gui;

import de.hft.stuttgart.citydoctor2.datastructure.Polygon;
import javafx.scene.input.MouseEvent;

public class PolygonClickDispatcher implements ClickDispatcher {
	
	private Polygon p;
	
	public PolygonClickDispatcher(Polygon p) {
		this.p = p;
	}

	@Override
	public void click(MouseEvent me, ClickHandler handler) {
		handler.onPolygonClick(p, me);
	}

}
