package de.hft.stuttgart.citydoctor2.gui.tree;

import javafx.scene.control.ListCell;

public class ZipEntryListCell extends ListCell<ZipEntryNode> {

    @Override
    protected void updateItem(ZipEntryNode item, boolean empty) {
        super.updateItem(item, empty);
        if (!empty || item != null) {
            setText(item.getText());
        } else {
            setText(null);
        }
    }

    public void updateColor() {
        setTextFill(getItem().getTextColor());
    }
}
